Quassel IRC - Bug #431

Quassel core dies occasionally on client connect
12/03/2008 10:55 AM - tobyS

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Any
Description

Sometimes, when | re-connect to the core with my client, the core simply dies. Find the debug log attached.
Additional information:

2008-12-03 10:51:40 Info: Client connected from 80.140.104.73

2008-12-03 10:51:41 Debug: Starting TLS for Client: 80.140.104.73

2008-12-03 10:51:41 Debug: Using compression for Client: 80.140.104.73

2008-12-03 10:51:41 Info: Client 80.140.104.73 initialized and authenticated successfully as "tobyS" (Userld: 1).
2008-12-03 10:51:41 Debug: Quassel IRC: "0.3.1" "2f6178fc5770ea25c48bca16610cd677e3092818"
2008-12-03 10:51:41 Debug: Quassel IRC: "0.3.1" "2f6178fc5770ea25c48bcal16610cd677e3092818"
2008-12-03 10:51:41 Debug: # 0 quasselcore 0x081218e3 Quassel::logBackirace(QString const&)

2008-12-03 10:51:41 Debug: # 0 quasselcore 0x081218e3 Quassel::logBacktrace(QString const&)
2008-12-03 10:51:41 Debug: # 1 quasselcore 0x081036¢c4 Quassel::handleSignal(int)
2008-12-03 10:51:41 Debug: # 1 quasselcore 0x081036¢c4 Quassel::handleSignal(int)
2008-12-03 10:51:41 Debug: # 2 Oxffffe420 __kernel_sigreturn

2008-12-03 10:51:41 Debug: # 2 0xffffe420 __kernel_sigreturn

2008-12-03 10:51:41 Debug: # 3 libz.so.1 0xb78285¢8 0x00000000

2008-12-03 10:51:41 Debug: # 3 libz.so.1 0xb78281a1 0x00000000

2008-12-03 10:51:41 Debug: # 4 libz.so.1 0xb7828c09 0x00000000

2008-12-03 10:51:41 Debug: # 4 libz.so.1 0xb7828c09 0x00000000

2008-12-03 10:51:41 Debug: # 5 libz.so.1 0xb78264d6 0x00000000

2008-12-03 10:51:41 Debug: # 5 libz.so.1 0xb78264d6 0x00000000

2008-12-03 10:51:41 Debug: # 6 libz.so.1 0xb7825627 deflate

2008-12-03 10:51:41 Debug: # 6 libz.so.1 0xb7825627 deflate

2008-12-03 10:51:41 Debug: # 7 libcrypto.s0.0.9.8 0xb758468e 0x00000000

2008-12-03 10:51:41 Debug: # 7 libcrypto.s0.0.9.8 0xb758468e 0x00000000

2008-12-03 10:51:41 Debug: # 8 libcrypto.s0.0.9.8 0xb758362e COMP_compress_block
2008-12-03 10:51:41 Debug: # 8 libcrypto.s0.0.9.8 0xb758362e COMP_compress_block
2008-12-03 10:51:41 Debug: # 9 libssl.s0.0.9.8  0xb75e696b ssI3_do_compress

2008-12-03 10:51:41 Debug: # 9 libssl.s0.0.9.8  0xb75e696b ssI3_do_compress
1# 10 libssl.s0.0.9.8
1# 10 libssl.s0.0.9.8
1 # 11 libssl.s0.0.9.8
1 # 11 libssl.s0.0.9.8
1 # 12 libssl.s0.0.9.8
1 # 12 libssl.s0.0.9.8
1 # 13 libssl.s0.0.9.8
1 # 13 libssl.s0.0.9.8

0xb75e6a9f 0x00000000
0xb75e6a9f 0x00000000
0xb75e6ec0 ssI3_write_bytes
0xb75e6ec0 ssI3_write_bytes
0xb75e41a2 ssI3_write
0xb75e41a2 ssI3_write
0xb75f5eb9 SSL_write
0xb75f5eb9 SSL_write

1 # 14 libQtNetwork.so0.4
1 # 14 libQtNetwork.so0.4
1 # 15 libQtNetwork.so0.4
1 # 15 libQtNetwork.so0.4
: # 16 libQtNetwork.so0.4
: # 16 libQtNetwork.so0.4
1 # 17 libQtNetwork.so.4
1 # 17 libQtNetwork.so.4
1 # 18 libQtCore.so0.4

0xb7c8f052 0x00000000
0xb7c8f052 0x00000000
0xb7c8d46d 0x00000000
0xb7c8d46d 0x00000000
0xb7c82da8 0x00000000
0xb7c833a8 QSslSocket::flush()

0xb7c86046 QSsISocket::qt_metacall(QMetaObject::Call, int, void**)

0xb7c833e8 0x00000000
0xb7e2f88b QMetaObject::activate(QObject*, int, int, void**)

:# 18 libQtNetwork.s0.4  0xb7c86016 QSslISocket::qt_metacall(QMetaObject::Call, int, void**)

1 # 19 libQtCore.so0.4
1 # 19 libQtCore.so0.4
1 # 20 libQtCore.so0.4

0xb7e2fef4 QMetaObject::activate(QObject*, QMetaObject const*, int, void**)

0xb7e29c69 QMetaCallEvent::placeMetaCall(QObject*)
0xb7e693f3 QIODevice::readyRead()
2008-12-03 10:51:41 Debug: # 20 libQtCore.so0.4 0xb7e2ae4f QObject::event(QEvent®)

2008-12-03 10:51:41 Debug: # 21 libQtNetwork.s0.4 0xb7c6adcd 0x00000000

2008-12-03 10:51:41 Debug: # 21 libQtCore.so0.4 0xb7e1bcd3 QCoreApplicationPrivate::notify_helper(QObject*, QEvent*)
2008-12-03 10:51:41 Debug: # 22 libQtNetwork.s0.4 0xb7c6f0al 0x00000000

2008-12-03 10:51:41 Debug: # 22 libQtCore.so0.4 0xb7e1bd43 QCoreApplication::notify(QObject*, QEvent*)

2008-12-03 10:51:41 Debug: # 23 libQtNetwork.s0.4 0xb7c5a8eb 0x00000000

2008-12-03 10:51:41 Debug: # 24 libQtNetwork.s0.4  0xb7c5c6af 0x00000000

2008-12-03 10:51:41 Debug: # 23 libQtCore.s0.4 0xb7e1b827 QCoreApplication::notifyInternal(QObject*, QEvent*)
2008-12-03 10:51:41 Debug: # 25 libQtCore.s0.4 0xb7e1bcd3 QCoreApplicationPrivate::notify_helper(QObject*, QEvent*)
2008-12-03 10:51:41 Debug: # 24 libQtCore.s0.4 0xb7e1c6cd QCoreApplicationPrivate::sendPostedEvents(QObject™, int,
QThreadData*)

2008-12-03 10:51:41 Debug: # 26 libQtCore.so0.4 0xb7e1bd43 QCoreApplication::notify(QObject*, QEvent*)

2008-12-03 10:51:41 Debug: # 25 libQtCore.so0.4 0xb7e46e98
QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

2008-12-03 10:51:41 Debug: # 27 libQtCore.s0.4 0xb7e1b827 QCoreApplication::notifyInternal(QObject*, QEvent*)
2008-12-03 10:51:41 Debug: # 26 libQtCore.so0.4 0xb7e1aa5d
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

2008-12-03 10:51:41 Debug: # 28 libQtCore.so0.4 0xb7e468a6 QEventDispatcherUNIX::activateSocketNotifiers()
2008-12-03 10:51:41 Debug: # 27 libQtCore.so0.4 0xb7e1abfd QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
2008-12-03 10:51:41 Debug: # 29 libQtCore.so0.4 0xb7e46b7a
QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*)

2008-12-03 10:51:41 Debug: # 28 libQtCore.so0.4 0xb7d2c497 QThread::exec()

2008-12-03 10:51:41 Debug: # 30 libQtCore.s0.4 0xb7e46f12
QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

2008-12-03 10:51:41 Debug: # 29 quasselcore 0x080877e3 SessionThread::run()

2008-12-03 10:51:41 Debug: # 31 libQtCore.so0.4 0xb7e1aabd
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)

2008-12-03 10:51:41 Debug: # 30 libQtCore.s0.4  0xb7d2f4da 0x00000000

2008-12-03 10:51:41 Debug: # 32 libQtCore.so0.4 0xb7e1abfd QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
2008-12-03 10:51:41 Debug: # 31 libpthread.s0.0  0xb780518b 0x00000000

2008-12-03 10:51:41 Debug: # 33 libQtCore.s0.4 0xb7e1ca06 QCoreApplication::exec()

2008-12-03 10:51:41 Debug: # 32 libc.so0.6 0xb78f909e clone
2008-12-03 10:51:41 Debug: # 34 quasselcore 0x080742e6 main
2008-12-03 10:51:41 Debug: # 35 libc.so0.6 0xb784dfdc __libc_start_main

2008-12-03 10:51:41 Debug: # 36 quasselcore 0x080740e1 __gxx_personality_vO0

History

#1 - 12/03/2008 10:56 AM - tobyS

I missed to set the affected version: Client and core run 0.3.1.

#2 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#3 - 02/21/2009 10:38 AM - tobyS
- File quassel.log added
- File Quassel-Crash-20090221-1031.log added

The behaviour still occurs in 0.4.0. See attached debug log and generated backtrace.

#4 - 02/19/2014 12:39 AM - Sputnick
- Description updated

- Status changed from New to Closed

Can't imagine this still being valid. Otherwise, please file a new bug report (possibly with debug symbols).

Files

quassel.log 6.89 KB 12/03/2008 admin
quassel.log 7.48 KB 02/21/2009 tobyS
Quassel-Crash-20090221-1031.log 4.84 KB 02/21/2009 tobyS
